Automation API
Heat v1 · Template version 2021-04-06 · OpenStack Antelope (2023.1)
Base URL: https://orchestration.{region}.rumble.cloud/v1
Upstream reference: OpenStack Orchestration API ↗
All requests require a Keystone token in the
X-Auth-Token header. See Authentication for token issuance.Deprecation notice: Heat is deprecated upstream in OpenStack Epoxy. It remains available on Quake AI (Antelope) but plan for a CAPI (Cluster API) migration for orchestration workflows long term. For new infrastructure-as-code work, consider OpenTofu templates.
Stacks
GET
/stacksPOST
/stacksGET
/stacks/{stack_name}/{stack_id}PUT
/stacks/{stack_name}/{stack_id}DELETE
/stacks/{stack_name}/{stack_id}Examples
List stacks
curl -s -H "X-Auth-Token: $TOKEN" \
https://orchestration.us-east-1.rumble.cloud/v1/{project_id}/stacks \
| jq '.stacks[] | {id, stack_name, stack_status}'Create a stack: request body
curl -s -X POST -H "X-Auth-Token: $TOKEN" \
-H "Content-Type: application/json" \
https://orchestration.us-east-1.rumble.cloud/v1/{project_id}/stacks \
-d '{
"stack_name": "my-stack",
"template_url": "https://example.com/template.yaml",
"parameters": {
"image": "Ubuntu 22.04",
"flavor": "m1.small"
}
}'Resources
GET
/stacks/{stack_name}/{stack_id}/resourcesGET
/stacks/{stack_name}/{stack_id}/resources/{resource_name}Events
GET
/stacks/{stack_name}/{stack_id}/eventsGET
/stacks/{stack_name}/{stack_id}/events/{event_id}Templates & Resource Types
POST
/validateGET
/stacks/{stack_name}/{stack_id}/templateGET
/resource_typesGET
/resource_types/{resource_type}GET
/resource_types/{resource_type}/schemaGET
/resource_types/{resource_type}/template